// Airfare.h
// A class that represents an airfare.
// Implementation in Airfare.m
#import <Foundation/Foundation.h>

@interface Airfare : NSObject
{
   NSString *tweet; // the tweet that this airfare came from
   NSString *cost; // the flight's cost
   NSString *origin; // the flight's origin airport
   NSString *destination; // the flight's destination
} // end instance variable declaration

// declare all the instance variables as properties
@property (nonatomic, retain) NSString *tweet;
@property (nonatomic, retain) NSString *cost;
@property (nonatomic, retain) NSString *origin;
@property (nonatomic, retain) NSString *destination;
@end

/**************************************************************************
 * (C) Copyright 2010 by Deitel & Associates, Inc. All Rights Reserved.   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *                                                                        *
 * As a user of the book, Deitel & Associates, Inc. grants you the        *
 * nonexclusive right to copy, distribute, display the code, and create   *
 * derivative apps based on the code for noncommercial purposes only--so  *
 * long as you attribute the code to Deitel & Associates, Inc. and        *
 * reference www.deitel.com/books/iPhoneFP/. If you have any questions,   *
 * or specifically would like to use our code for commercial purposes,    *
 * contact deitel@deitel.com.                                             *
 *************************************************************************/

